Issue127

Title fatal error C1026: parser stack overflow, program too complex
Priority bug Status resolved
Superseder Nosy List bosmart, kayhayen
Assigned To kayhayen Keywords windows

Created on 2014-04-02.17:50:54 by bosmart, last changed by kayhayen.

Messages
msg690 (view) Author: kayhayen Date: 2014-06-23.07:41:37
Part of the current release, 0.5.2
msg655 (view) Author: kayhayen Date: 2014-05-17.06:47:25
So, the current pre-release ought to be good. Can you retry. The original issue
definitely should be gone now, and it passes all test suites, including CPython
ones and Mercurial, as well as compiling library codes. Esp. matplotlib ought to
be covered by that.
msg638 (view) Author: bosmart Date: 2014-04-26.13:30:22
I tried the factory branch and git this:

Problem with <Node EXPRESSION_COMPARISON_EXCEPTION_MATCH at c:\Python27\Lib\site-packages\matplotlib\backends\backend_pgf.py:35 
'comparator': 'exception_match'> at <SourceCodeRefer
ence to c:\Python27\Lib\site-packages\matplotlib\backends\backend_pgf.py:35>
Problem with <Node STATEMENT_EXPRESSION_ONLY at c:\Python27\Lib\site-packages\matplotlib\backends\backend_pgf.py:35 expression 
<Node EXPRESSION_COMPARISON_EXCEPTION_MATCH at c:\Pyt
hon27\Lib\site-packages\matplotlib\backends\backend_pgf.py:35 'comparator': 'exception_match'>> at <SourceCodeReference to 
c:\Python27\Lib\site-packages\matplotlib\backends\backend
_pgf.py:35>
Problem with <Node STATEMENT_TRY_EXCEPT at c:\Python27\Lib\site-packages\matplotlib\backends\backend_pgf.py:33> at 
<SourceCodeReference to c:\Python27\Lib\site-packages\matplotlib\
backends\backend_pgf.py:33>
Problem with <Node STATEMENT_LOOP at c:\Python27\Lib\site-packages\matplotlib\backends\backend_pgf.py:32> at 
<SourceCodeReference to c:\Python27\Lib\site-packages\matplotlib\backen
ds\backend_pgf.py:32>
Problem with <Node STATEMENT_TRY_FINALLY at c:\Python27\Lib\site-packages\matplotlib\backends\backend_pgf.py:32> at 
<SourceCodeReference to c:\Python27\Lib\site-packages\matplotlib
\backends\backend_pgf.py:32>
Traceback (most recent call last):
  File "c:\Python27\Scripts\nuitka", line 138, in <module>
    MainControl.main()
  File "c:\Python27\Lib\site-packages\nuitka\MainControl.py", line 672, in main
    main_module = main_module
  File "c:\Python27\Lib\site-packages\nuitka\MainControl.py", line 550, in compileTree
    main_module = main_module
  File "c:\Python27\Lib\site-packages\nuitka\MainControl.py", line 296, in makeSourceDirectory
    ()
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 4207, in generateModuleCode
    context            = context,
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 4186, in generateStatementSequenceCode
    context            = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 4084, in generateStatementSequenceCodeC
    context            = statement_context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 4028, in _generateStatementSequenceCodeC
    context            = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 4084, in generateStatementSequenceCodeC
    context            = statement_context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 4046, in _generateStatementSequenceCodeC
    context   = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 3968, in generateStatementCodeC
    _generateStatementCodeC(statement, emit, context)
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 3863, in _generateStatementCodeC
    context   = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 3002, in generateTryFinallyCode
    context            = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 4046, in _generateStatementSequenceCodeC
    context   = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 3968, in generateStatementCodeC
    _generateStatementCodeC(statement, emit, context)
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 3888, in _generateStatementCodeC
    context   = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 3588, in generateLoopCode
    context            = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 4046, in _generateStatementSequenceCodeC
    context   = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 3968, in generateStatementCodeC
    _generateStatementCodeC(statement, emit, context)
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 3856, in _generateStatementCodeC
    context   = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 2854, in generateTryExceptCode
    allow_none         = True
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 4046, in _generateStatementSequenceCodeC
    context   = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 3968, in generateStatementCodeC
    _generateStatementCodeC(statement, emit, context)
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 3832, in _generateStatementCodeC
    context = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 3701, in generateStatementOnlyCodeC
    context    = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 2262, in generateExpressionCodeC
    allow_none = allow_none
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 1338, in _generateExpressionCodeC
    context               = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\CodeGeneration.py", line 593, in generateComparisonExpressionCode
    context         = context
  File "c:\Python27\Lib\site-packages\nuitka\codegen\ComparisonCodes.py", line 121, in getComparisonExpressionCode
    assert False, comparator
AssertionError: exception_match

will test again when it's in develop.
msg637 (view) Author: kayhayen Date: 2014-04-26.08:49:12
It's on factory right now, but will come to develop in a matter of days. I 
suggest we better wait until then.
msg636 (view) Author: bosmart Date: 2014-04-26.07:26:08
So it's in the develop branch?
msg631 (view) Author: kayhayen Date: 2014-04-24.19:57:54
Seems too early for factory, but I fixed this particular bug. I realized, I 
better run the "library/compile_library.py" test, which exposes it to more 
language constructs that what I was so far running.

In this particular case:

try:
   something
except:
   oass
else:
    something_else

was triggering Nuitka up. The Cish effort has touched a few reformulations, and 
it's new that "except:pass" really is "None".

Yours,
Kay
msg630 (view) Author: bosmart Date: 2014-04-24.09:41:17
Well, I'm getting a new error now:

Traceback (most recent call last):
  File "c:\Python27\Scripts\nuitka", line 138, in <module>
    MainControl.main()
  File "c:\Python27\Lib\site-packages\nuitka\MainControl.py", line 640, in main
    filename = filename
  File "c:\Python27\Lib\site-packages\nuitka\MainControl.py", line 105, in createNodeTree
    Optimization.optimize()
  File "c:\Python27\Lib\site-packages\nuitka\optimizations\Optimization.py", line 173, in optimize
    changed = optimizePythonModule(current_module)
  File "c:\Python27\Lib\site-packages\nuitka\optimizations\Optimization.py", line 117, in optimizePythonModule
    tag_set = tag_set
  File "c:\Python27\Lib\site-packages\nuitka\optimizations\Optimization.py", line 69, in _optimizeModulePass
    module        = module
  File "c:\Python27\Lib\site-packages\nuitka\optimizations\ConstraintCollections.py", line 737, in __init__
    constraint_collection = self
  File "c:\Python27\Lib\site-packages\nuitka\nodes\StatementNodes.py", line 354, in computeStatementsSequence
    statement = statement
  File "c:\Python27\Lib\site-packages\nuitka\optimizations\ConstraintCollections.py", line 523, in onStatement
    statement.computeStatement(self)
  File "c:\Python27\Lib\site-packages\nuitka\nodes\AssignNodes.py", line 75, in computeStatement
    constraint_collection.onExpression(self.getAssignSource())
  File "c:\Python27\Lib\site-packages\nuitka\optimizations\ConstraintCollections.py", line 408, in onExpression
    constraint_collection = self
  File "c:\Python27\Lib\site-packages\nuitka\nodes\NodeBases.py", line 994, in computeExpressionRaw
    expression = sub_expression
  File "c:\Python27\Lib\site-packages\nuitka\optimizations\ConstraintCollections.py", line 408, in onExpression
    constraint_collection = self
  File "c:\Python27\Lib\site-packages\nuitka\nodes\NodeBases.py", line 999, in computeExpressionRaw
    constraint_collection = constraint_collection
  File "c:\Python27\Lib\site-packages\nuitka\nodes\ImportNodes.py", line 229, in computeExpression
    constraint_collection = constraint_collection
  File "c:\Python27\Lib\site-packages\nuitka\nodes\ImportNodes.py", line 193, in _attemptRecursion
    module_package        = module_package
  File "c:\Python27\Lib\site-packages\nuitka\nodes\ImportNodes.py", line 136, in _consider
    reason          = reason
  File "c:\Python27\Lib\site-packages\nuitka\tree\Recursion.py", line 56, in recurseTo
    is_main         = False
  File "c:\Python27\Lib\site-packages\nuitka\tree\Building.py", line 1188, in createModuleTree
    is_main     = is_main
  File "c:\Python27\Lib\site-packages\nuitka\tree\Building.py", line 893, in buildParseTree
    source_ref = source_ref
  File "c:\Python27\Lib\site-packages\nuitka\tree\Helpers.py", line 163, in buildStatementsNode
    statements = buildNodeList(provider, nodes, source_ref, allow_none = True)
  File "c:\Python27\Lib\site-packages\nuitka\tree\Helpers.py", line 126, in buildNodeList
    entry = buildNode( provider, node, node_source_ref, allow_none )
  File "c:\Python27\Lib\site-packages\nuitka\tree\Helpers.py", line 88, in buildNode
    source_ref = source_ref
  File "c:\Python27\Lib\site-packages\nuitka\tree\ReformulationFunctionStatements.py", line 85, in 
buildFunctionNode
    source_ref = source_ref
  File "c:\Python27\Lib\site-packages\nuitka\tree\Helpers.py", line 163, in buildStatementsNode
    statements = buildNodeList(provider, nodes, source_ref, allow_none = True)
  File "c:\Python27\Lib\site-packages\nuitka\tree\Helpers.py", line 126, in buildNodeList
    entry = buildNode( provider, node, node_source_ref, allow_none )
  File "c:\Python27\Lib\site-packages\nuitka\tree\Helpers.py", line 88, in buildNode
    source_ref = source_ref
  File "c:\Python27\Lib\site-packages\nuitka\tree\Building.py", line 218, in buildConditionNode
    source_ref = source_ref
  File "c:\Python27\Lib\site-packages\nuitka\tree\Helpers.py", line 163, in buildStatementsNode
    statements = buildNodeList(provider, nodes, source_ref, allow_none = True)
  File "c:\Python27\Lib\site-packages\nuitka\tree\Helpers.py", line 126, in buildNodeList
    entry = buildNode( provider, node, node_source_ref, allow_none )
  File "c:\Python27\Lib\site-packages\nuitka\tree\Helpers.py", line 88, in buildNode
    source_ref = source_ref
  File "c:\Python27\Lib\site-packages\nuitka\tree\ReformulationTryExceptStatements.py", line 332, in 
buildTryExceptionNode
    source_ref = source_ref
  File "c:\Python27\Lib\site-packages\nuitka\tree\ReformulationTryExceptStatements.py", line 89, in 
makeTryExceptNoRaise
    handling
  File "c:\Python27\Lib\site-packages\nuitka\tree\Helpers.py", line 220, in mergeStatements
    if statement.isStatement() or statement.isStatementsFrame():
AttributeError: 'NoneType' object has no attribute 'isStatement'
msg628 (view) Author: kayhayen Date: 2014-04-24.07:35:13
The current factory branch has replaced the code for frame locals. It's now Cish 
too and shouldn't produce the error. Please try it out and let me know if this 
helps.
msg597 (view) Author: bosmart Date: 2014-04-09.13:47:30
Cool, I'll test it as soon as it's out.

Thanks
msg596 (view) Author: kayhayen Date: 2014-04-09.12:51:21
Hello,

the branch feature/cish_code_generation will receive a solution in the coming 
weeks. This specific code will still be there though, but generally, this C++ 
style of generating locals is due for replacement. It is already done 
differently in other places.

I hope to have a release based on it at the end of the month or so.

Yours,
Kay
msg584 (view) Author: bosmart Date: 2014-04-06.16:49:09
I have tried the November 2013 CTP C++ compiler and an older wxPython version 
(2.8) but I'm still getting the same error.

Is there a patch, hotfix or manual workaround I could apply??
msg581 (view) Author: bosmart Date: 2014-04-04.08:42:48
Also tried disabling compiler optimizations (/Od) as suggested in some post I've 
found but it still happily crashes...
msg578 (view) Author: bosmart Date: 2014-04-02.19:07:50
Tried on latest development version (0.5.2pre1) and it's the same.
msg577 (view) Author: bosmart Date: 2014-04-02.19:04:16
module.wx._core.cpp(292600):
frame_guard.getFrame0()->f_locals = var_MaxClientSize.updateLocalsDict( 
var_MinClientSize.updateLocalsDict( var_GtkWidget.updateLocalsDict( var_TopLevel.updateLocalsDict( 
var_Enabled.updateLocalsDict( var_Shown.updateLocalsDict( var_WindowVariant.updateLocalsDict( 
var_WindowStyleFlag.updateLocalsDict( var_WindowStyle.updateLocalsDict( 
var_VirtualSize.updateLocalsDict( var_Validator.updateLocalsDict( 
var_UpdateRegion.updateLocalsDict( var_UpdateClientRect.updateLocalsDict( 
var_ToolTip.updateLocalsDict( var_ThemeEnabled.updateLocalsDict( var_Sizer.updateLocalsDict( 
var_Size.updateLocalsDict( var_ScreenRect.updateLocalsDict( var_ScreenPosition.updateLocalsDict( 
var_Rect.updateLocalsDict( var_Position.updateLocalsDict( var_Parent.updateLocalsDict( 
var_Name.updateLocalsDict( var_MinWidth.updateLocalsDict( var_MinSize.updateLocalsDict( 
var_MinHeight.updateLocalsDict( var_MaxWidth.updateLocalsDict( var_MaxSize.updateLocalsDict( 
var_MaxHeight.updateLocalsDict( var_LayoutDirection.updateLocalsDict( var_Label.updateLocalsDict( 
var_Id.updateLocalsDict( var_HelpText.updateLocalsDict( var_Handle.updateLocalsDict( 
var_TopLevelParent.updateLocalsDict( var_GrandParent.updateLocalsDict( 
var_ForegroundColour.updateLocalsDict( var_Font.updateLocalsDict( var_ExtraStyle.updateLocalsDict( 
var_EventHandler.updateLocalsDict( var_DropTarget.updateLocalsDict( 
var_DefaultAttributes.updateLocalsDict( var_Cursor.updateLocalsDict( 
var_ContainingSizer.updateLocalsDict( var_Constraints.updateLocalsDict( 
var_ClientSize.updateLocalsDict( var_ClientRect.updateLocalsDict( 
var_ClientAreaOrigin.updateLocalsDict( var_Children.updateLocalsDict( 
var_CharWidth.updateLocalsDict( var_CharHeight.updateLocalsDict( var_Caret.updateLocalsDict( 
var_Border.updateLocalsDict( var_BestVirtualSize.updateLocalsDict( var_BestSize.updateLocalsDict( 
var_EffectiveMinSize.updateLocalsDict( var_BackgroundStyle.updateLocalsDict( 
var_BackgroundColour.updateLocalsDict( var_AutoLayout.updateLocalsDict( 
var_AcceleratorTable.updateLocalsDict( var_PostCreate.updateLocalsDict( 
var_SetTransparent.updateLocalsDict( var_CanSetTransparent.updateLocalsDict( 
var_GetMainWindowOfCompositeControl.updateLocalsDict( var_CanApplyThemeBorder.updateLocalsDict( 
var_CanBeOutsideClientArea.updateLocalsDict( var_ShouldInheritColours.updateLocalsDict( 
var_InheritAttributes.updateLocalsDict( var_GetContainingSizer.updateLocalsDict( 
var_SetContainingSizer.updateLocalsDict( var_GetSizer.updateLocalsDict( 
var_SetSizerAndFit.updateLocalsDict( var_SetSizer.updateLocalsDict( var_Layout.updateLocalsDict( 
var_GetAutoLayout.updateLocalsDict( var_SetAutoLayout.updateLocalsDict( 
var_GetConstraints.updateLocalsDict( var_SetConstraints.updateLocalsDict( 
var_DragAcceptFiles.updateLocalsDict( var_GetDropTarget.updateLocalsDict( 
var_SetDropTarget.updateLocalsDict( var_ToolTipString.updateLocalsDict( 
var_GetToolTipString.updateLocalsDict( var_GetToolTip.updateLocalsDict( 
var_UnsetToolTip.updateLocalsDict( var_SetToolTip.updateLocalsDict( 
var_SetToolTipString.updateLocalsDict( var_GetHelpText.updateLocalsDict( 
var_GetHelpTextAtPoint.updateLocalsDict( var_SetHelpTextForId.updateLocalsDict( 
var_SetHelpText.updateLocalsDict( var_IsScrollbarAlwaysShown.updateLocalsDict( 
var_AlwaysShowScrollbars.updateLocalsDict( var_PageDown.updateLocalsDict( 
var_PageUp.updateLocalsDict( var_LineDown.updateLocalsDict( var_LineUp.updateLocalsDict( 
var_ScrollPages.updateLocalsDict( var_ScrollLines.updateLocalsDict( 
var_ScrollWindow.updateLocalsDict( var_GetScrollRange.updateLocalsDict( 
var_GetScrollThumb.updateLocalsDict( var_GetScrollPos.updateLocalsDict( 
var_SetScrollPos.updateLocalsDict( var_SetScrollbar.updateLocalsDict( 
var_HasScrollbar.updateLocalsDict( var_CanScroll.updateLocalsDict( var_OnPaint.updateLocalsDict( 
var_GetGtkWidget.updateLocalsDict( var_DissociateHandle.updateLocalsDict( 
var_AssociateHandle.updateLocalsDict( var_GetHandle.updateLocalsDict( 
var_SendIdleEvents.updateLocalsDict( var_HasMultiplePages.updateLocalsDict( 
var_GetPopupMenuSelectionFromUser.updateLocalsDict( var_PopupMenu.updateLocalsDict( 
var_PopupMenuXY.updateLocalsDict( var_UpdateWindowUI.updateLocalsDict( 
var_GetBorder.updateLocalsDict( var_HitTest.updateLocalsDict( var_HitTestXY.updateLocalsDict( 
var_ScreenToClient.updateLocalsDict( var_ClientToScreen.updateLocalsDict( 
var_ScreenToClientXY.updateLocalsDict( var_ClientToScreenXY.updateLocalsDict( 
var_GetFullTextExtent.updateLocalsDict( var_GetTextExtent.updateLocalsDict( 
var_GetCharWidth.updateLocalsDict( var_GetCharHeight.updateLocalsDict( 
var_GetCaret.updateLocalsDict( var_SetCaret.updateLocalsDict( var_GetFont.updateLocalsDict( 
var_SetOwnFont.updateLocalsDict( var_SetFont.updateLocalsDict( var_GetCursor.updateLocalsDict( 
var_SetCursor.updateLocalsDict( var_HasTransparentBackground.updateLocalsDict( 
var_GetBackgroundStyle.updateLocalsDict( var_SetBackgroundStyle.updateLocalsDict( 
var_UseBgCol.updateLocalsDict( var_InheritsBackgroundColour.updateLocalsDict( 
var_GetForegroundColour.updateLocalsDict( var_GetBackgroundColour.updateLocalsDict( 
var_SetOwnForegroundColour.updateLocalsDict( var_SetForegroundColour.updateLocalsDict( 
var_SetOwnBackgroundColour.updateLocalsDict( var_SetBackgroundColour.updateLocalsDict( 
var_GetClassDefaultAttributes.updateLocalsDict( var_GetDefaultAttributes.updateLocalsDict( 
var_IsExposedRect.updateLocalsDict( var_IsExposedPoint.updateLocalsDict( 
var_IsExposed.updateLocalsDict( var_GetUpdateClientRect.updateLocalsDict( 
var_GetUpdateRegion.updateLocalsDict( var_SetDoubleBuffered.updateLocalsDict( 
var_IsDoubleBuffered.updateLocalsDict( var_Thaw.updateLocalsDict( var_IsFrozen.updateLocalsDict( 
var_Freeze.updateLocalsDict( var_ClearBackground.updateLocalsDict( var_Update.updateLocalsDict( 
var_RefreshRect.updateLocalsDict( var_Refresh.updateLocalsDict( var_HasCapture.updateLocalsDict( 
var_GetCapture.updateLocalsDict( var_ReleaseMouse.updateLocalsDict( 
var_CaptureMouse.updateLocalsDict( var_WarpPointer.updateLocalsDict( 
var_ConvertPixelSizeToDialog.updateLocalsDict( var_ConvertPixelPointToDialog.updateLocalsDict( 
var_DLG_SZE.updateLocalsDict( var_DLG_PNT.updateLocalsDict( 
var_ConvertDialogSizeToPixels.updateLocalsDict( var_ConvertDialogPointToPixels.updateLocalsDict( 
var_UnregisterHotKey.updateLocalsDict( var_RegisterHotKey.updateLocalsDict( 
var_GetAcceleratorTable.updateLocalsDict( var_SetAcceleratorTable.updateLocalsDict( 
var_InitDialog.updateLocalsDict( var_TransferDataFromWindow.updateLocalsDict( 
var_TransferDataToWindow.updateLocalsDict( var_Validate.updateLocalsDict( 
var_GetValidator.updateLocalsDict( var_SetValidator.updateLocalsDict( 
var_HandleWindowEvent.updateLocalsDict( var_ProcessWindowEvent.updateLocalsDict( 
var_RemoveEventHandler.updateLocalsDict( var_PopEventHandler.updateLocalsDict( 
var_PushEventHandler.updateLocalsDict( var_SetEventHandler.updateLocalsDict( 
var_GetEventHandler.updateLocalsDict( var_FindWindowByLabel.updateLocalsDict( 
var_FindWindowByName.updateLocalsDict( var_FindWindowById.updateLocalsDict( 
var_RemoveChild.updateLocalsDict( var_AddChild.updateLocalsDict( var_Reparent.updateLocalsDict( 
var_IsTopLevel.updateLocalsDict( var_GetTopLevelParent.updateLocalsDict( 
var_GetGrandParent.updateLocalsDict( var_GetParent.updateLocalsDict( 
var_GetNextSibling.updateLocalsDict( var_GetPrevSibling.updateLocalsDict( 
var_GetChildren.updateLocalsDict( var_MoveBeforeInTabOrder.updateLocalsDict( 
var_MoveAfterInTabOrder.updateLocalsDict( var_HandleAsNavigationKey.updateLocalsDict( 
var_Navigate.updateLocalsDict( var_NavigateIn.updateLocalsDict( var_SetCanFocus.updateLocalsDict( 
var_CanAcceptFocusFromKeyboard.updateLocalsDict( var_AcceptsFocusFromKeyboard.updateLocalsDict( 
var_CanAcceptFocus.updateLocalsDict( var_AcceptsFocus.updateLocalsDict( 
var_HasFocus.updateLocalsDict( var_FindFocus.updateLocalsDict( 
var_SetFocusFromKbd.updateLocalsDict( var_SetFocus.updateLocalsDict( 
var_GetThemeEnabled.updateLocalsDict( var_SetThemeEnabled.updateLocalsDict( 
var_MakeModal.updateLocalsDict( var_HasExtraStyle.updateLocalsDict( 
var_GetExtraStyle.updateLocalsDict( var_SetExtraStyle.updateLocalsDict( 
var_ToggleWindowStyle.updateLocalsDict( var_IsRetained.updateLocalsDict( 
var_HasFlag.updateLocalsDict( var_GetWindowStyle.updateLocalsDict( 
var_SetWindowStyle.updateLocalsDict( var_GetWindowStyleFlag.updateLocalsDict( 
var_SetWindowStyleFlag.updateLocalsDict( var_IsShownOnScreen.updateLocalsDict( 
var_IsThisEnabled.updateLocalsDict( var_IsEnabled.updateLocalsDict( var_IsShown.updateLocalsDict( 
var_Disable.updateLocalsDict( var_Enable.updateLocalsDict( var_HideWithEffect.updateLocalsDict( 
var_ShowWithEffect.updateLocalsDict( var_Hide.updateLocalsDict( var_Show.updateLocalsDict( 
var_PostSizeEventToParent.updateLocalsDict( var_PostSizeEvent.updateLocalsDict( 
var_SendSizeEventToParent.updateLocalsDict( var_SendSizeEvent.updateLocalsDict( 
var_InformFirstDirection.updateLocalsDict( var_GetBestVirtualSize.updateLocalsDict( 
var_GetWindowBorderSize.updateLocalsDict( var_GetVirtualSizeTuple.updateLocalsDict( 
var_GetVirtualSize.updateLocalsDict( var_SetVirtualSizeWH.updateLocalsDict( 
var_SetVirtualSize.updateLocalsDict( var_GetMaxClientSize.updateLocalsDict( 
var_GetMinClientSize.updateLocalsDict( var_SetMaxClientSize.updateLocalsDict( 
var_SetMinClientSize.updateLocalsDict( var_GetMaxHeight.updateLocalsDict( 
var_GetMaxWidth.updateLocalsDict( var_GetMinHeight.updateLocalsDict( 
var_GetMinWidth.updateLocalsDict( var_SetMaxSize.updateLocalsDict( var_SetMinSize.updateLocalsDict( 
var_GetMinSize.updateLocalsDict( var_GetMaxSize.updateLocalsDict( 
var_SetVirtualSizeHintsSz.updateLocalsDict( var_SetVirtualSizeHints.updateLocalsDict( 
var_SetSizeHintsSz.updateLocalsDict( var_SetSizeHints.updateLocalsDict( 
var_FitInside.updateLocalsDict( var_Fit.updateLocalsDict( var_CentreOnParent.updateLocalsDict( 
var_CenterOnParent.updateLocalsDict( var_Centre.updateLocalsDict( var_Center.updateLocalsDict( 
var_GetAdjustedBestSize.updateLocalsDict( var_GetBestFittingSize.updateLocalsDict( 
var_GetEffectiveMinSize.updateLocalsDict( var_CacheBestSize.updateLocalsDict( 
var_InvalidateBestSize.updateLocalsDict( var_GetBestSizeTuple.updateLocalsDict( 
var_GetBestSize.updateLocalsDict( var_WindowToClientSize.updateLocalsDict( 
var_ClientToWindowSize.updateLocalsDict( var_GetClientRect.updateLocalsDict( 
var_GetClientAreaOrigin.updateLocalsDict( var_GetClientSizeTuple.updateLocalsDict( 
var_GetClientSize.updateLocalsDict( var_GetRect.updateLocalsDict( 
var_GetSizeTuple.updateLocalsDict( var_GetSize.updateLocalsDict( 
var_GetScreenRect.updateLocalsDict( var_GetScreenPositionTuple.updateLocalsDict( 
var_GetScreenPosition.updateLocalsDict( var_GetPositionTuple.updateLocalsDict( 
var_GetPosition.updateLocalsDict( var_SetClientRect.updateLocalsDict( 
var_SetClientSizeWH.updateLocalsDict( var_SetClientSize.updateLocalsDict( 
var_Lower.updateLocalsDict( var_Raise.updateLocalsDict( var_SetBestFittingSize.updateLocalsDict( 
var_SetInitialSize.updateLocalsDict( var_MoveXY.updateLocalsDict( var_SetPosition.updateLocalsDict( 
var_Move.updateLocalsDict( var_SetSizeWH.updateLocalsDict( var_SetRect.updateLocalsDict( 
var_SetDimensions.updateLocalsDict( var_SetSize.updateLocalsDict( 
var_AdjustForLayoutDirection.updateLocalsDict( var_SetLayoutDirection.updateLocalsDict( 
var_GetLayoutDirection.updateLocalsDict( var_ReleaseControlId.updateLocalsDict( 
var_UnreserveControlId.updateLocalsDict( var_NewControlId.updateLocalsDict( 
var_GetId.updateLocalsDict( var_SetId.updateLocalsDict( var_GetWindowVariant.updateLocalsDict( 
var_SetWindowVariant.updateLocalsDict( var_GetName.updateLocalsDict( var_SetName.updateLocalsDict( 
var_GetLabel.updateLocalsDict( var_SetLabel.updateLocalsDict( var_IsBeingDeleted.updateLocalsDict( 
var_DestroyChildren.updateLocalsDict( var_Destroy.updateLocalsDict( var_Close.updateLocalsDict( 
var_Create.updateLocalsDict( var___init__.updateLocalsDict( var___repr__.updateLocalsDict( 
var_thisown.updateLocalsDict( var___doc__.updateLocalsDict( var___module__.updateLocalsDict( 
PyDict_New() ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) 
) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) 
) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) 
) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) 
) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) 
) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) 
) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) );
msg576 (view) Author: bosmart Date: 2014-04-02.18:50:03
Possible duplicate of Issue117?
msg575 (view) Author: bosmart Date: 2014-04-02.17:50:54
So, I'm getting the following error:

C:\temp\dist-nuitka\run.build\module.wx._core.cpp(292600) : fatal error C1026: parser stack overflow, 
program too complexscons: *** [C:\temp\dist-nuitka\run.build\module.wx._core.obj] Error 2

In response to the below command issued by Nuitka:

cl /FoC:\temp\dist-nuitka\run.build\module.wx._core.obj /c "C:\temp\dist-
nuitka\run.build\module.wx._core.cpp" /TP /nologo /EHsc /J /Gd /Ox /MT /D_NUITKA_FULL_COMPAT 
/D_NUITKA_STANDALONE /D_NUITKA_WINMAIN_ENTRY_POINT /D__NUITKA_NO_ASSERT__ /D_NUITKA_FROZEN=502 /D_NUITKA_EXE 
/IC:\Python27\include /IC:\temp\dist-nuitka\run.build /IC:\Python27\Lib\site-packages\nuitka\build\include

My config is Python 2.7.6 x64, wxPython 3.0 and Visual Studio 2013. 

From Googling around it seems that there's nothing that can be done about VS compiler to fix this and MinGW 
won't do the 64-bit job either. As far as I understand, the _core.cpp file has been generated by Nuitka from 
the _core.py file. If this is the case, something must have gone wrong...
History
Date User Action Args
2014-06-23 07:41:37kayhayensetstatus: testing -> resolved
messages: + msg690
2014-05-17 06:47:25kayhayensetmessages: + msg655
2014-04-26 13:30:22bosmartsetmessages: + msg638
2014-04-26 08:49:12kayhayensetmessages: + msg637
2014-04-26 07:26:08bosmartsetmessages: + msg636
2014-04-24 19:57:54kayhayensetmessages: + msg631
2014-04-24 09:41:17bosmartsetmessages: + msg630
2014-04-24 07:35:13kayhayensetstatus: chatting -> testing
messages: + msg628
keyword: + windows
2014-04-09 13:47:30bosmartsetmessages: + msg597
2014-04-09 12:51:21kayhayensetassignedto: kayhayen
messages: + msg596
nosy: + kayhayen
2014-04-06 16:49:09bosmartsetstatus: unread -> chatting
messages: + msg584
2014-04-04 08:43:01bosmartsetstatus: chatting -> unread
2014-04-04 08:42:48bosmartsetstatus: unread -> chatting
messages: + msg581
2014-04-04 07:45:01bosmartsetstatus: chatting -> unread
2014-04-02 19:07:50bosmartsetmessages: + msg578
2014-04-02 19:04:16bosmartsetmessages: + msg577
2014-04-02 18:50:03bosmartsetstatus: unread -> chatting
messages: + msg576
title: atal error C1026: parser stack overflow, program too complex -> fatal error C1026: parser stack overflow, program too complex
2014-04-02 17:50:54bosmartcreate